<template>
    <base-container>
        <div
            :class="['app__information-block information-block', { 'information-block--no--scroll': !checkNeedScroll }]"
            :style="{ 'max-width': `${maxWidth}px` }"
        >
            <div class="information-block__header">
                <a
                    v-if="backButton"
                    class="information-block__back-btn"
                    @click="$emit('clickBackButton')"
                />
                <span>{{ header }}</span>
            </div>
            <div
                v-if="$slots.default"
                :class="[
                    'information-block__content-wrap',
                     {
                         'information-block__content-wrap--scroll': checkNeedScroll
                     }
                ]">
                <div
                    v-bar
                    class="information-block__content-wrap-scroll"
                >
                    <div>
                        <div
                            ref="content"
                            :class="[
                                'information-block__content',
                                 {
                                     'information-block__content--scroll': checkNeedScroll
                                 }
                            ]">
                            <slot></slot>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </base-container>
</template>

<script>
export default {
    name: 'base-information-block',
    data() {
        return {
            heightContent: 0
        };
    },
    props: {
        header: {
            type: String,
            required: true
        },
        backButton: {
            type: Boolean,
            default: true
        },
        maxWidth: {
            type: Number,
            default: 800
        }
    },
    computed: {
        checkNeedScroll() {
            return this.heightContent > 590;
        }
    },
    mounted() {
        this.heightContent = this.$refs.content && this.$refs.content.clientHeight;
    }
}
</script>

<style lang="sass">
    @import '~blocks/information-block';
</style>
